#ifndef SYSTEM_LINUXTIMER_H
#define SYSTEM_LINUXTIMER_H

#include <sys/time.h>
#include "system/timer.h"

class LinuxHiResTimer : public PHiResTimer {
public:
	LinuxHiResTimer();

	virtual void init();
	virtual double getTime();

protected:
	struct timezone tz;
	struct timeval firstTime;
};

#endif	//SYSTEM_LINUXTIMER_H
