#ifndef SYSTEM_SINGLETONS_H
#define SYSTEM_SINGLETONS_H

#include "system/system.h"
#include "system/mouse.h"
#include "system/display.h"
#include "system/keyboard.h"
#include "system/timer.h"
#include "system/dialog.h"

//in each specific system
//you'll have to instanciate the correct bodies
//and set the interfaces to the bodies
extern ISystem sys;
extern IKeyboardHandler kbd;
extern IMouseHandler mouse;
extern IDisplay disp;
extern IHiResTimer timer;
extern IDialog dialog;

#endif	//SYSTEM_SINGLETONS_H
